Passer au contenu principal
PUT
https://{tenantDomain}/api/v2
/
prompts
/
{prompt}
/
custom-text
/
{language}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using System.Collections.Generic;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Prompts.CustomText.SetAsync(
            prompt: PromptGroupNameEnum.Login,
            language: PromptLanguageEnum.Am,
            request: new Dictionary<string, object?>(){
                ["key"] = "value",
            }
        );
    }

}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

prompt
enum<string>
requis

Name of the prompt

Options disponibles:
login,
login-id,
login-password,
login-passwordless,
login-email-verification,
signup,
signup-id,
signup-password,
phone-identifier-enrollment,
phone-identifier-challenge,
email-identifier-challenge,
reset-password,
custom-form,
consent,
customized-consent,
logout,
mfa-push,
mfa-otp,
mfa-voice,
mfa-phone,
mfa-webauthn,
mfa-sms,
mfa-email,
mfa-recovery-code,
mfa,
status,
device-flow,
email-verification,
email-otp-challenge,
organizations,
invitation,
common,
passkeys,
captcha,
brute-force-protection,
async-approval-flow,
confirmation
language
enum<string>
requis

Language to update.

Options disponibles:
am,
ar,
ar-EG,
ar-SA,
az,
bg,
bn,
bs,
ca-ES,
cnr,
cs,
cy,
da,
de,
el,
en,
en-CA,
es,
es-419,
es-AR,
es-MX,
et,
eu-ES,
fa,
fi,
fr,
fr-CA,
fr-FR,
gl-ES,
gu,
he,
hi,
hr,
hu,
hy,
id,
is,
it,
ja,
ka,
kk,
kn,
ko,
lt,
lv,
mk,
ml,
mn,
mr,
ms,
my,
nb,
nl,
nn,
no,
pa,
pl,
pt,
pt-BR,
pt-PT,
ro,
ru,
sk,
sl,
so,
sq,
sr,
sv,
sw,
ta,
te,
th,
tl,
tr,
uk,
ur,
vi,
zgh,
zh-CN,
zh-HK,
zh-MO,
zh-TW

Corps

An object containing custom dictionaries for a group of screens.

Réponse

Prompt dictionaries successfully updated.